#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    int n;
    int ns[50000];
    cin >> n;
    for(int i=0;i<n;i++)
    {
        cin >> ns[i];
    }
    bool is;
    for(int i=0;i<n;i++)
    {
        is=0;
        for(int j=1;j<=ns[i];j++)
        {
            if(ns[i]-j>0 && sqrt(j)==floor(sqrt(j)) && sqrt(ns[i]-j)==floor(sqrt(ns[i]-j)))
            {
                cout << 1;
                is=1;
                break;
            }
        }
        if(!is)
        {
            cout << 0;
        }
    }

    return 0;
}
